<template>
  <div id="app">
    <div id="nav">
      <router-link :to="{name: 'home'}">Home</router-link> 
      <router-link :to="{name: 'explore'}">Explore</router-link> 
      <router-link :to="{name: 'contact'}">Contact</router-link>
    </div>
    <router-view></router-view>
    <footer>
      <div class="container">
        <div class="col-md-4">
          <h4 class="text-primary"><strong>Hotel</strong> Booking</h4>
          <p>Nieuwmansstraat 123</p>
          <p>1234 AB The Hague</p>
          <p>The Netherlands</p>
          <br>
          <p> &#169; Hotel Booking</p>
        </div>
        <div class="col-md-4">
          <h4>Useful links</h4>
          <a href="#">Explore hotels</a><br>
          <a href="#">Reviews</a><br>
          <a href="#">A link</a><br>
          <a href="#">Another link</a><br>
          <a href="#">Different link</a>
        </div>
        <div class="col-md-4">
          <h4>The Company</h4>
          <a href="#">About us</a><br>
          <a href="#">Careers</a><br>
          <a href="#">Press centre</a><br>
          <a href="#">Terms & Conditions</a><br>
          <a href="#">Contact us</a>
        </div>
      </div>
    </footer>
  </div>
</template>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
#nav {
  padding: 30px;
  text-align: right;
  background-color: silver;
}

#nav a {
  font-weight: bold;
  color: black;
}

#nav a.router-link-exact-active {
  text-decoration: underline;
  text-decoration-color: red;
}
</style>
